﻿<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <title></title>
    <link href="/css/bootstrap.min.css" rel="stylesheet" />
    <script src="/js/jquery.min.js"></script>
    <link href="/css/style.css" rel="stylesheet" />
    <script src="/js/bootstrap.min.js"></script>
    <script src="/js/code39.js"></script>
    <style>
        body {
            font-family: "Helvetica Neue",Helvetica,Arial,sans-serif;
        }

        #barcodeContent td {
            padding: 40px 0px;
            border-bottom: 1px dotted #000;
            width: 75px;
        }

        tr > div:last-child {
            margin-left: -50% !important;
        }
    </style>
</head>
<body>
    <center>
        <div id="divPrint" style="width:1200px">
        </div>
    </center>
    <div id="barcodeContent" style="height:50px !important;">
    </div>
    <script type="text/javascript">
        $(document).ready(function () {
            if (localStorage.getItem('BarcodeDetails') != null) {

                PrintBarcode();
            }

        });

        function PrintBarcode() {
            var itemList = JSON.parse(localStorage.getItem('BarcodeDetails'));
            var html2 = '';
            console.log(itemList);
            $.each(itemList, function (index, item) {
                var Qty = Number(item.Qty);
                var Aprice = item.SRP;
                var price = (Aprice.toString().split(".")[0]);
                var Dprice = (Aprice.toString().split(".")[1]);                
                var html = '';

                html += '<div style="width:400px;border:1px dashed #424141;float:left;"><table style="width:100%"><tr><td>' + DrawCode39Barcode(item.Barcode)
                    + '</td><td style="width:150px;vertical-align: text-top;"><span style="font-size:16px;font-weight: 400;display: block; width: 100%;text-align: center;">Retail Price</span>'
                    + '<label style="font-weight: 600;font-size: 45px;display: block; width: 100%;text-align: center;"><sup>$' + price + '.</sup><sup style="font-size: 28px;">' + Dprice + '</sup></label>'
                    + '</td></tr><tr><td colspan="2" style="text-align: center;font-size: 20px;font-weight: 600;">' + item.ProductName
                    + '</td></tr></table>';
                html += '</div>';
                for (var i = 1; i <= Qty; i++) {
                    html2 += html
                }
            });

            $("#divPrint").append(html2)
            window.print();
        }
    </script>
    <link href="http://www.jqueryscript.net/css/jquerysctipttop.css" rel="stylesheet" type="text/css" />
    <script src="/Admin/BarCode/Barcodeforproduct.js"></script>
    <script src="//ajax.googleapis.com/ajax/libs/jquery/2.2.4/jquery.min.js"></script>
    <script src="BarCode/jquery-barcode.js"></script>
</body>
</html>
